svn commit: r261221 - in user/gjb/hacking/release-embedded/release: arm tools/arm

Glen Barber gjb at FreeBSD.org
Tue Jan 28 03:09:58 UTC 2014


Author: gjb
Date: Tue Jan 28 03:09:57 2014
New Revision: 261221
URL: http://svnweb.freebsd.org/changeset/base/261221

Log:
  Add initial support for the PANDABOARD.
  
  Sponsored by:	The FreeBSD Foundation

Added:
  user/gjb/hacking/release-embedded/release/arm/PANDABOARD.conf   (contents, props changed)
  user/gjb/hacking/release-embedded/release/tools/arm/crochet-PANDABOARD.conf   (contents, props changed)
Modified:
  user/gjb/hacking/release-embedded/release/arm/release.sh

Added: user/gjb/hacking/release-embedded/release/arm/PANDABOARD.conf
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ user/gjb/hacking/release-embedded/release/arm/PANDABOARD.conf	Tue Jan 28 03:09:57 2014	(r261221)
@@ -0,0 +1,35 @@
+#
+# $FreeBSD$
+#
+
+# This is only supported on amd64 right now.  It may work on
+# i386, but I do not have the hardware to test, so until I get
+# a VM set up to make sure, be cautious and assume it will not.
+if [ "$(uname -p)" != "amd64" ] || [ "$(uname -m)" != "amd64" ]; then
+    echo "This is only supported on amd64 right now."
+    exit 0
+fi
+
+# Build chroot configuration
+TARGET="amd64"
+TARGET_ARCH="amd64"
+SVNROOT="svn://svn.FreeBSD.org"
+SRCBRANCH="base/head at rHEAD"
+DOCBRANCH="doc/head at rHEAD"
+PORTBRANCH="ports/head at rHEAD"
+NODOC=yes
+
+# Build target configuration
+# Since this file is sourced by a script that runs another
+# script, these must be exported.
+set -a
+CHROOTDIR="/scratch"
+EMBEDDEDBUILD=1
+EMBEDDEDPORTS="lang/python textproc/gsed"
+XDEV="arm"
+XDEV_ARCH="armv6"
+KERNEL="PANDABOARD"
+CROCHETSRC="https://github.com/kientzle/crochet-freebsd"
+CROCHETBRANCH="trunk"
+set +a
+

Modified: user/gjb/hacking/release-embedded/release/arm/release.sh
==============================================================================
--- user/gjb/hacking/release-embedded/release/arm/release.sh	Tue Jan 28 01:49:49 2014	(r261220)
+++ user/gjb/hacking/release-embedded/release/arm/release.sh	Tue Jan 28 03:09:57 2014	(r261221)
@@ -24,6 +24,18 @@ before_build() {
 			chroot ${CHROOTDIR} tar xf /tmp/crochet/u-boot-2013.04.tar.bz2 \
 				-C /tmp/crochet/ 
 			;;
+		PANDABOARD)
+			KNOWNHASH="e08e20a6979bfca6eebb9a2b0e42aa4416af3d796332fd63a3470495a089d496"
+			chroot ${CHROOTDIR} fetch -o /tmp/crochet/u-boot-2012.07.tar.bz2 \
+				http://people.freebsd.org/~gjb/u-boot-2012.07.tar.bz2
+			UBOOT_HASH="$(sha256 -q ${CHROOTDIR}/tmp/crochet/u-boot-2012.07.tar.bz2)"
+			if [ "${UBOOT_HASH}" != "${KNOWNHASH}" ]; then
+				echo "Checksum mismatch!  Exiting now."
+				exit 1
+			fi
+			chroot ${CHROOTDIR} tar xf /tmp/crochet/u-boot-2012.07.tar.bz2 \
+				-C /tmp/crochet/ 
+			;;
 		*)
 			# Fallthrough.
 			;;

Added: user/gjb/hacking/release-embedded/release/tools/arm/crochet-PANDABOARD.conf
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ user/gjb/hacking/release-embedded/release/tools/arm/crochet-PANDABOARD.conf	Tue Jan 28 03:09:57 2014	(r261221)
@@ -0,0 +1,29 @@
+#
+# $FreeBSD$
+#
+
+# This is the configuration file for use with crochet to produce
+# FreeBSD PandaBoard images.
+
+board_setup PandaBoard
+option ImageSize 1gb
+option AutoSize
+
+export MAKEOBJDIRPREFIX=/usr/obj
+FREEBSD_SRC=/usr/src
+__MAKE_CONF=/dev/null
+SRCCONF=/dev/null
+WORKDIR=/usr/obj
+_BRANCH=$(make -C ${FREEBSD_SRC}/release -V BRANCH)
+_REVISION=$(make -C ${FREEBSD_SRC}/release -V REVISION)
+KERNCONF=PANDABOARD
+TARGET=arm
+TARGET_ARCH=armv6
+FREEBSD_BUILDWORLD_EXTRA_ARGS=""
+FREEBSD_INSTALLWORLD_EXTRA_ARGS=""
+FREEBSD_BUILDKERNEL_EXTRA_ARGS=""
+FREEBSD_INSTALLKERNEL_EXTRA_ARGS=""
+FREEBSD_WORLD_EXTRA_ARGS=""
+FREEBSD_KERNEL_EXTRA_ARGS=""
+FREEBSD_EXTRA_ARGS=""
+IMG=${WORKDIR}/FreeBSD-${_REVISION}-${_BRANCH}-${KERNCONF}.img


More information about the svn-src-user mailing list